Page MenuHomeFreeBSD

Update the Mesa ports to 17.1.2
ClosedPublic

Authored by rezny on Jun 12 2017, 5:26 AM.

Details

Reviewers
swills
feld
Group Reviewers
x11
Commits
rP443828: Update the Mesa ports to 17.1.2
Summary

Update the Mesa ports to the current version. libosmesa needs to run autoreconf since the same build cropped up with the packaged configure script in this version that I saw in 17.0.5.

Test Plan

Poudriere 10.3/11.0 amd64/i386 & 11.0 armv6 OK, run verified on 11-stable amd64 with radeon and intel

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rezny created this revision.Jun 12 2017, 5:26 AM
rezny updated this revision to Diff 29531.Jun 13 2017, 6:17 AM

Add a commit revert patch for 10.x to keep HW accel working on Intel. cpm reported that his gen6 system lost HW accel upgrading from Mesa 17.0.4 to 17.1.0 and it was due to this commit. As I have no issue on 11.0, the feature check is catching some difference between 10.x and 11.x

swills accepted this revision.Jun 18 2017, 1:13 PM

Looks good to me, Approved

This revision is now accepted and ready to land.Jun 18 2017, 1:13 PM
This revision was automatically updated to reflect the committed changes.